The API reference moved here from eksis.io/developers.
Comments

Read one comment

GET
/v1/comments/{commentId}

One comment with the post it is on, its thread (the comment and the replies eksis has), and which actions its platform offers.

Authorization

headerAuthorizationBearer <token>

Send your key as Authorization: Bearer eksis_sk_....

Path Parameters

commentId*string

Response Body

The comment.

application/json
  1. response
data?
curl -X GET 'https://api.eksis.io/v1/comments/string' \  -H 'Authorization: Bearer eksis_sk_...'
{  "data": {    "id": "string",    "text": "string",    "status": "open",    "isHidden": true,    "isDeleted": true,    "likedByOwner": true,    "isOwn": true,    "channelId": "string",    "platform": "string",    "externalPostId": "string",    "postId": "string",    "parentId": "string",    "author": {      "username": "string",      "name": "string"    },    "createdAt": "2019-08-24T14:15:22Z",    "post": {      "title": "string",      "caption": "string",      "permalink": "string"    },    "thread": [      {        "id": "string",        "text": "string",        "isOwn": true,        "authorUsername": "string",        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "actions": {      "reply": true,      "hide": true,      "like": true,      "delete": true    }  }}